pushd "C:\Program Files\Windows AIK\Tools\PETools\"

if not exist "c:\winpe_x86" (

  rem Prepare the build environment

  call copype.cmd x86 "c:\winpe_x86"

  rem Copy the Windows PE source files from the image to the build environment

  md c:\winpe_x86\base
  imagex /apply "C:\Program Files\Windows AIK\Tools\PETools\x86\winpe.wim" 1 c:\winpe_x86\base

  rem Install optional components in to the image

  peimg /install=WinPE-HTA-Package c:\winpe_x86\base
  peimg /install=WinPE-Scripting-Package c:\winpe_x86\base
  peimg /install=WinPE-XML-Package c:\winpe_x86\base

  rem Install device drivers in to the image

  rem peimg /inf=c:\drivers c:\winpe_x86\base

  rem Prepare the image for capture by optimizing it

  peimg /prep c:\winpe_x86\base /f

  rem Capture the image

  imagex /boot /compress max /capture c:\winpe_x86\base c:\winpe_x86\ISO\sources\boot.wim "Windows PE"
)

popd